<?
$sub_menu = "400000";
include_once("./_common.php");
check_demo();
if ($is_admin != "super")
    alert("게시판 삭제는 최고관리자만 가능합니다.");
auth_check($auth[$sub_menu], "d");
check_token();

//-- SMS 모듈 종류 --------------------------------------------------------------------------------
if($mode == "sms_module") {
	$sQry			= mysql_query("update zm_sms_config set ds_value='$sms_module' where ds_variable='sms_module'");			//-- 모듈종류
}

//-- 전화번호부에 추가하기 ------------------------------------------------------------------------
if($mode == "addphone") {
	//-- 중복 된 번호인지 검사
	$in_tel			= str_replace("-", "", $in_tel);
	$rdTel			= mysql_fetch_array(mysql_query("select * from zm_sms_phonebook where ds_phn_pcs='$in_tel'"));
	if($rdTel[ds_phn_pcs] == $in_tel) 	alert($rdTel[ds_phn_name]." 이름으로 이미 등록된 번호 입니다.");
	
	//-- 추가하기
	$now			= time();
	$res			= mysql_query("insert into zm_sms_phonebook set ds_mng_id='$member[mb_id]', ds_phn_name='$in_name', ds_phn_pcs='$in_tel', ds_phn_date='$now', ds_memo='$in_memo'");
	if(!$res) alert("전화번호 등록 실패".$res);

	goto_url("./sms_phonebook.php");
}

//-- 전화번호 삭제 --------------------------------------------------------------------------------
if($mode == "teldel") {
	$res			= @mysql_query("delete from zm_sms_phonebook where ds_recno='$recno'");
	if(!$res)		alert("전화번호 삭제 실패");

	goto_url("./sms_phonebook.php");
}

//-- 발송 내역 삭제 -------------------------------------------------------------------------------
if($mode == "hstydel") {
	$res			= @mysql_query("delete from zm_sms_history where ds_recno='$recno'");
	if(!$res)		alert("SMS 발송 내역 삭제 실패");

	goto_url("./sms_history.php");
}

//-- 오래된 발송 내역 삭제 ------------------------------------------------------------------------
if($mode == "oldlistdrop") {
	$oldtime	= time() - (24 * 60 * 60 * $termdate);
	$sQry		= "delete from zm_sms_history where ds_send_date<$oldtime";
	$sRs		= mysql_query($sQry);

	goto_url("./sms_history.php");
}














//-- 스쿨호스팅 SMS 계정 정보 처리하기 --------------------------------------------------------------
if($mode == "sms_phps") {
	//-- phps에 해당하는 환경 변수
	$cfg_new	= array("sms_phps_id", "sms_phps_key");

	//-- 해당 키가 없으면 생성
	$db_cfg	= array();
	$rs		= sql_query("select * from zm_sms_config where ds_variable LIKE 'sms_%'");
	while($rd = sql_fetch_array($rs)){
		$db_cfg[]	= $rd[ds_variable];
	}

	for($i = 0; $i < count($cfg_new); $i++) {
		$sw		= false;
		for($j = 0; $j < count($db_cfg); $j++) {
			if($cfg_new[$i] == $db_cfg[$j])	$sw	= true;
		}
		if(!$sw) $rs	= sql_query("insert into zm_sms_config set ds_variable='$cfg_new[$i]'");
	}
	
	//-- SMS 계정 정보 갱신 --
	$sQury			= mysql_query("update zm_sms_config set ds_value='$sms_id' where ds_variable='sms_phps_id'");	//-- SMS ID
	$sQury			= mysql_query("update zm_sms_config set ds_value='$sms_key' where ds_variable='sms_phps_key'");	//-- SMS KEY
}



//-- SMS 기본 환경설정 정보 처리하기 --------------------------------------------------------------
if($mode == "sms_common") {
	//-- SMS 환경변수 갱신 --
	$sQry			= mysql_query("update zm_sms_config set ds_value='$cutstring' where ds_variable='cutstring'");	//-- 긴문자 문자전송 타입
	$sQry			= mysql_query("update zm_sms_config set ds_value='$consume' where ds_variable='consume'");		//-- 소모되는 포인트
	$sQry			= mysql_query("update zm_sms_config set ds_value='$memlevel' where ds_variable='memlevel'");		//-- 포인트 소모 예외되는 회원 등급
}




















/* -- 통큰아이는 이제 끝. 여기 까지. -- */

//-- 통큰아이 SMS 계정 정보 처리하기 --------------------------------------------------------------
if($mode == "sms_tongkni") {
	$sTkiID		= "sms_tki_id";				//-- 통큰아이에서 발급 된 SMS 아이디를 기록할 변수
	$sTkiPW		= "sms_tki_pw";				//-- 통큰아이에서 발급 된 SMS 비밀번호를 기록할 변수
	
	//-- SMS 환경설정 테이블에 두 변수가 있는지 체크하고 없으면 새로 만든다.
	$sQry			= "select ds_variable from zm_sms_config where ds_variable='$sTkiID'";								//-- SMS ID
	$rdCfgRows		= mysql_num_rows(mysql_query($sQry));
	if(!$rdCfgRows)	{	$bRst			= mysql_query("insert into zm_sms_config set ds_variable='$sTkiID'");	}
	$sQry			= "select ds_variable from zm_sms_config where ds_variable='$sTkiPW'";								//-- SMS PW
	$rdCfgRows		= mysql_num_rows(mysql_query($sQry));
	if(!$rdCfgRows)	{	$bRst			= mysql_query("insert into zm_sms_config set ds_variable='$sTkiPW'");	}

	//-- SMS 계정 정보 갱신 --
	$sQury			= mysql_query("update zm_sms_config set ds_value='$sms_tki_id' where ds_variable='$sTkiID'");	//-- SMS ID
	$sQury			= mysql_query("update zm_sms_config set ds_value='$sms_tki_pw' where ds_variable='$sTkiPW'");	//-- SMS PW
}


goto_url("./sms_config.php?$qstr");
?>